Tasks
List tasks
List all tasks. Optionally filter by book_id to scope to a specific book.
GET
/
v1
/
tasks
List tasks
curl --request GET \
--url https://api.slant.app/v1/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "abc123xyz",
"title": "Follow up with client",
"all_day": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"is_private": true,
"completed_at": "2023-11-07T05:31:56Z",
"assigned_to": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com"
},
"assigned_team": {
"id": "<string>",
"name": "<string>"
},
"record": {
"id": "<string>",
"name": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"pagination": {
"current_page": 1,
"total_pages": 10,
"total_count": 100,
"per_page": 25
}
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Query Parameters
Page number
Items per page (1-100, default: 25). Values over 100 will be clamped to 100.
Required range:
1 <= x <= 100Filter by book ID
Filter by status
Available options:
todo, done Filter by priority
Available options:
low_priority, medium_priority, high_priority, urgent_priority Filter by household ID
Filter by contact ID
Filter by assigned user ID from the relevant book users list
⌘I
List tasks
